Dec 7

编译PHP时报错:configure: error: libjpeg.(a|so) not found 不指定

admin , 10:29 , 编程 » 编程(PHP) , 评论(0) , 引用(0) , 阅读(767) , Via 本站原创 | |
搜索
我已经获得阿里云幸运券,准备分享给您。请点击获取  

编译PHP时报错:configure: error: libjpeg.(a|so) not found  
 configure: error: Problem with libjpeg.(a|so). Please check config.log for more information 的原因和解决
今天给新服务器编译安装php环境的时候,编译php出现error:libjpeg.(a|so) not found.
./configure \
--prefix=/opt/phpfcgi-5.3.10 \
--with-pdo-pgsql \
--with-zlib-dir \
--with-freetype-dir \
--enable-mbstring \
--with-libxml-dir=/usr \
--enable-soap \
--enable-calendar \
--with-curl \
--with-mcrypt \
--with-zlib \
--with-gd \
--with-pgsql \
--disable-rpath \
--enable-inline-optimization \
--with-bz2 \
--with-zlib \
--enable-sockets \
--enable-sysvsem \
--enable-sysvshm \
--enable-pcntl \
--enable-mbregex \
--with-mhash \
--enable-zip \
--with-pcre-regex \
--with-mysql \
--with-pdo-mysql \
--with-mysqli \
--with-jpeg-dir=/usr \
--with-png-dir=/usr \
--enable-gd-native-ttf \
--with-openssl \
--with-fpm-user=apache \
--with-fpm-group=apache \
--with-libdir=lib64 \
--enable-ftp \
--with-imap \
--with-imap-ssl \
--with-kerberos \
--with-gettext \
--enable-cgi

检查是否安装libjpeg  ,必须是 安装libjpeg-devel-6.2.0-78
检查依赖包是否有安装
rpm -qa |grep libjpeg
libjpeg-6b-37
libjpeg-devel-6b-37
因为我的系统是centos6.4 安装了 如下版本不符合要求也报错了。
[root@server1 ~]# rpm -qa|grep libjpeg
libjpeg-turbo-devel-1.2.1-3.el6_5.i686
libjpeg-turbo-1.2.1-3.el6_5.i686
[root@server1 ~]#


centos 5.x
马上使用命令yum -y install libjpeg
安装libjpeg-devel-6.2.0-78
4.如果os是64位系统,可能系统找不到库文件,所以只能手动复制个
\cp  -frp /usr/lib64/libjpeg.* /usr/lib/
这样就可以把error:libjpeg.(a|so) not found解决

5.还有几个错误也一样的解决办法:
Configure: error: libpng.(also) not found.的解决办法:
\cp -frp /usr/lib64/libpng* /usr/lib/
configure: error: Cannot find ldap libraries in /usr/lib.的解决办法:
cp -frp /usr/lib64/libldap* /usr/lib/

********
configure: error: libjpeg.(a|so) not found  没有安装
 configure: error: Problem with libjpeg.(a|so). Please check config.log for more information 按照配置错误